libmwaw_applepict2::Value Struct Reference

Internal and low level: a class used to read and store all possible value. More...

Inheritance diagram for libmwaw_applepict2::Value:

## Additional Inherited Members

Public Member Functions inherited from libmwaw_applepict1::Value
| Value ()
virtual | ~Value ()
Public Attributes inherited from libmwaw_applepict1::Value
DataType | m_type
| the stored type of the data More...
int | m_int
| the int value when type=WP_INT More...
MWAWColor | m_rgb
| the color when type=WP_COLOR or WP_CCOLOR More...
int | m_pat [8]
| the pattern when type=WP_PATTERN More...
std::string | m_text
| the text when type=WP_TEXT More...
Vec2i | m_point
| the point when type=WP_POINT More...
Box2i | m_box
| the rectangle when type=WP_RECT More...
std::vector< Vec2i > | m_listPoint
| the list of points which defined the polygon when type=WP_POLY More...
shared_ptr< Region > | m_region
| the region when type=WP_REGION More...
shared_ptr< Bitmap > | m_bitmap
| the bitmap when type=WP_BITMAP More...
shared_ptr< Pixmap > | m_pixmap
| the pixmap when type=WP_CBITMAP More...
shared_ptr< Pixpattern > | m_pixpattern
| the pixpat when type=WP_CPATTERN More...

## Detailed Description

Internal and low level: a class used to read and store all possible value.

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx